# Created by pyp2rpm-3.3.5
%global pypi_name rfc3986-validator
%define module rfc3986_validator

Name:           python-%{pypi_name}
Version:        0.1.1
Release:        %mkrel 1
Summary:        Pure python rfc3986 validator
Group:          Development/Python
License:        MIT license
URL:            https://github.com/naimetti/rfc3986-validator
Source0:        https://files.pythonhosted.org/packages/source/r/%{pypi_name}/rfc3986_validator-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(setuptools)

BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest) >= 3
BuildRequires:  python3dist(pytest-runner)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(rfc3987)
BuildRequires:  python3dist(hypothesis)

%description
A pure python RFC3986 validator

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A pure python RFC3986 validator 

%prep
%autosetup -n %{module}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{module}


%check
%{__python3} setup.py test

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md



%changelog
* Wed Nov 30 2022 papoteur <papoteur> 0.1.1-1.mga9
+ Revision: 1913566
- imported package python-rfc3986-validator

